Subject: Re: [Uta] Require TLS=NO is very much needed
From: Leif Johansson <[email-masked]>
To: Alexey Melnikov <[email-masked]>, [email-masked]
Date: Fri, 17 Nov 2017 08:28:51 +0100
List-Id: UTA working group mailing list <uta.ietf.org>

On 2017-11-17 07:10, Alexey Melnikov wrote:
> On 17/11/2017 09:56, Leif Johansson wrote:
>> On 2017-11-17 01:01, Viktor Dukhovni wrote:
>>>
>>> People are forgetting that especially smaller sites
>>> that implement STS or DANE don't always have the
>>> operational discipline to keep these working.  I
>>> have considerable evidence to support this claim.
>>>
>>> A sender with urgent non-sensitive messages may well
>>> reasonably want to see the message delivered despite
>>> such failures.  Indeed, this is typically the right
>>> thing to do with failure reports!
>>>
>>> At present, the sender address I use to send DANE
>>> failure notices is statically exempted from enforcing
>>> DANE policy (rather than message by message).
>>>
>>
>> The sense of the room in Singapore was that the semantics
>> of REQUIRETLS=NO was sufficiently different from REQUIRETLS
>> that it would be better to move it to a separate document.
>> It was suggested that REQUIRETLS=NO might be better
>> represented as a message header even.
>>
>> In any case it is not clear to me that there is or ever was
>> consensus to keep this feature /in its current form/ in the
>> REQUIRETLS draft.
> 
> (As a participant) Maybe write a separate draft?

Yes I think thats a fine way to resolve this. My sense of
the room is that there is wide support for /the idea/ but
people feel that the current SMTP-focused draft becomes
overly complex by having this feature in there.

> 
>> As always, discussions on the list will determine this but
>> barring clear support for keeping the feature in the draft
>> we need to find another form for this feature.
>